james-server-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tellier Benoit (JIRA)" <server-...@james.apache.org>
Subject [jira] [Updated] (JAMES-2558) Use SpamAssassin version 3.4.2 in our test suite
Date Wed, 10 Oct 2018 07:49:00 GMT

     [ https://issues.apache.org/jira/browse/JAMES-2558?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Tellier Benoit updated JAMES-2558:
----------------------------------
    Priority: Minor  (was: Major)

> Use SpamAssassin version 3.4.2 in our test suite
> ------------------------------------------------
>
>                 Key: JAMES-2558
>                 URL: https://issues.apache.org/jira/browse/JAMES-2558
>             Project: James Server
>          Issue Type: Improvement
>          Components: mailbox, Mailet Contributions
>    Affects Versions: master
>            Reporter: Tellier Benoit
>            Priority: Minor
>              Labels: security
>             Fix For: 3.2.0
>
>
> Version 3.4.1 is vulnerable to CVE-2017-15705, CVE-2016-1238, CVE-2018-11780 & CVE-2018-11781
> Causing denial of service.
> JAMES only enforces SpamAssassin 3.4.1 use as part of its test suite, and SpamAssassin
components are currently undocumented. 
> Thus we just need to update SpamAssassin images used in tests.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: server-dev-unsubscribe@james.apache.org
For additional commands, e-mail: server-dev-help@james.apache.org


Mime
View raw message